{zoneId}

API: weather.gov:national-weather-service-api
Endpoint: /alerts/active/zone/{zoneId}
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 920ms

Description

Returns active alerts for the given NWS public zone or county

Parameters (1)

zoneId (?, path, required)

NWS public zone/county identifier

Examples (3)

Active alerts for Texas coastal zone curl
curl 'https://api.weather.gov/alerts/active/zone/TXZ001' \
  -H 'User-Agent: robustapi-example'
import requests

resp = requests.get(
    "https://api.weather.gov/alerts/active/zone/TXZ001",
    headers={
        'User-Agent': 'robustapi-example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("alerts/active/zone/{zoneId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/alerts/active/zone/TXZ001", {
  headers: {
    "User-Agent": "robustapi-example",
  },
});
const data = await resp.json();
Active alerts for California zone curl
curl 'https://api.weather.gov/alerts/active/zone/CAZ001' \
  -H 'User-Agent: robustapi-example'
import requests

resp = requests.get(
    "https://api.weather.gov/alerts/active/zone/CAZ001",
    headers={
        'User-Agent': 'robustapi-example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("alerts/active/zone/{zoneId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/alerts/active/zone/CAZ001", {
  headers: {
    "User-Agent": "robustapi-example",
  },
});
const data = await resp.json();
Active alerts for Florida zone curl
curl 'https://api.weather.gov/alerts/active/zone/FLZ001' \
  -H 'User-Agent: robustapi-example'
import requests

resp = requests.get(
    "https://api.weather.gov/alerts/active/zone/FLZ001",
    headers={
        'User-Agent': 'robustapi-example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("alerts/active/zone/{zoneId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/alerts/active/zone/FLZ001", {
  headers: {
    "User-Agent": "robustapi-example",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:51:59.156454 200 920ms
2026-04-04 03:04:52.269066 200 656ms
2026-04-04 02:39:41.654915 200 929ms
2026-04-03 14:37:50.767817 200 581ms
2026-04-03 13:31:23.076757 ERR
2026-04-03 12:29:19.901273 200 580ms
2026-03-30 06:48:14.781236 200 400ms
2026-03-30 06:00:39.421772 200 1102ms
2026-03-30 03:12:14.530205 200 382ms
2026-03-29 14:35:25.572263 200 302ms
2026-03-29 14:18:41.704637 200 269ms
2026-03-29 13:12:33.453621 200 248ms
2026-03-23 10:55:08.511804 200 614ms
2026-03-23 09:38:59.846417 200 485ms
2026-03-23 09:03:34.101433 200 933ms